const express = require('express');
const router = express.Router();
const expenseController = require('../controllers/expense.controller');


router.get('/pendingapproval', expenseController.getPendingAppExpenses);
router.get('/approvedexpenses', expenseController.getApprovedAppExpenses);
router.get('/rejectedexpenses', expenseController.getRejectedappExpenses);
router.get('/mainsupplier',expenseController.mainSupplier);
router.put('/getexpense/:id',expenseController.getExpense);
router.get('/getinfo', expenseController.getInfoExpense);
router.get('/reportexpenses', expenseController.getReportExpenses);
router.post('/countpending',expenseController.countpending);
router.get('/reportpayments',expenseController.getReportPayments);
router.get('/monthlypayments',expenseController.getmonthlypayments);
router.post('/newexpense',expenseController.newExpense);
router.post('/totalapproved', expenseController.getTotalApproved);
router.put('/updateexpense/:id',expenseController.updateExpense);
router.get('/gettaxes',expenseController.getTaxes);
module.exports = router;
